stan-0.2.0.0: Haskell STatic ANalyser

Copyright | (c) 2020 Kowainik
License | MPL-2.0
Maintainer | Kowainik <xrom.xkov@gmail.com>
Safe Haskell | None
Language | Haskell2010

Stan.Info

Contents

- Version
- System
- Env
- Project Info

Description

`stan` build information.

Synopsis

- data StanVersion = StanVersion {
  - svVersion :: !String
  - svGitRevision :: !String
  - svCommitDate :: !String
  }
- stanVersion :: StanVersion
- prettyStanVersion :: StanVersion -> StanSystem -> String
- data StanSystem = StanSystem {
  - ssOs :: !String
  - ssArch :: !String
  - ssCompiler :: !String
  - ssCompilerVersion :: !String
  }
- stanSystem :: StanSystem
- data StanEnv = StanEnv {
  - seEnvVars :: !Text
  - seTomlFiles :: ![FilePath]
  - seCliArgs :: ![String]
  }
- data ProjectInfo = ProjectInfo {
  - piName :: !String
  - piCabalFiles :: ![FilePath]
  - piHieDir :: !FilePath
  - piFileNumber :: !Int
  }

# Version

data StanVersion #

`stan` version information.

Constructors

StanVersion |
Fields svVersion :: !String svGitRevision :: !String svCommitDate :: !String

#### Instances

Instances details

Show StanVersion # |
Instance details Defined in Stan.Info Methods showsPrec :: Int -> StanVersion -> ShowS # show :: StanVersion -> String # showList :: [StanVersion] -> ShowS #
Eq StanVersion # |
Instance details Defined in Stan.Info Methods (==) :: StanVersion -> StanVersion -> Bool # (/=) :: StanVersion -> StanVersion -> Bool #

stanVersion :: StanVersion #

Current `stan` version information.

prettyStanVersion :: StanVersion -> StanSystem -> String #

Colourful pretty `StanVersion` representation used in the `CLI`.

# System

data StanSystem #

Contains all `stan` System information

Constructors

StanSystem |
Fields ssOs :: !String ssArch :: !String ssCompiler :: !String ssCompilerVersion :: !String

#### Instances

Instances details

Show StanSystem # |
Instance details Defined in Stan.Info Methods showsPrec :: Int -> StanSystem -> ShowS # show :: StanSystem -> String # showList :: [StanSystem] -> ShowS #
Eq StanSystem # |
Instance details Defined in Stan.Info Methods (==) :: StanSystem -> StanSystem -> Bool # (/=) :: StanSystem -> StanSystem -> Bool #

stanSystem :: StanSystem #

All system info for the project

# Env

data StanEnv #

Data from different environment resources:

- Environment variables
- Used TOML configuration files
- Command Line arguments

Constructors

StanEnv |
Fields seEnvVars :: !Text seTomlFiles :: ![FilePath] seCliArgs :: ![String]

#### Instances

Instances details

Show StanEnv # |
Instance details Defined in Stan.Info Methods showsPrec :: Int -> StanEnv -> ShowS # show :: StanEnv -> String # showList :: [StanEnv] -> ShowS #
Eq StanEnv # |
Instance details Defined in Stan.Info Methods (==) :: StanEnv -> StanEnv -> Bool # (/=) :: StanEnv -> StanEnv -> Bool #

# Project Info

data ProjectInfo #

Constructors

ProjectInfo |
Fields piName :: !String piCabalFiles :: ![FilePath] piHieDir :: !FilePath piFileNumber :: !Int

#### Instances

Instances details

Show ProjectInfo # |
Instance details Defined in Stan.Info Methods showsPrec :: Int -> ProjectInfo -> ShowS # show :: ProjectInfo -> String # showList :: [ProjectInfo] -> ShowS #
Eq ProjectInfo # |
Instance details Defined in Stan.Info Methods (==) :: ProjectInfo -> ProjectInfo -> Bool # (/=) :: ProjectInfo -> ProjectInfo -> Bool #